Option Strict Off
Option Explicit On
Module WelHwComDll

	'       ߂liG[ԍj
	Public Const WELHWCOM_NORMAL_END As Integer = 0
	Public Const WELHWCOM_ERR_NOTOPEN As Integer = -1
	Public Const WELHWCOM_ERR_FILE As Integer = -2
	Public Const WELHWCOM_ERR_TIMEOUT As Integer = -3
	Public Const WELHWCOM_ERR_CANCEL As Integer = -4
	Public Const WELHWCOM_ERR_PARAMETER As Integer = -5
	Public Const WELHWCOM_ERR_COM As Integer = -6
	Public Const WELHWCOM_ERR_FULL As Integer = -7
	Public Const WELHWCOM_ERR_IMGRCV As Integer = -8
	Public Const WELHWCOM_ERR_OTHER As Integer = -99

	' C[Wf[^M
	Public Const WELHWCOM_IMG_NOTEXECUTE As Integer = 0
	Public Const WELHWCOM_IMG_RECEIVING As Integer = 1
	Public Const WELHWCOM_IMG_BUFFCLEAR As Integer = 2

	'       |[gݒ
	Public Const WELHWCOM_BAUD_300 As Integer = 0
	Public Const WELHWCOM_BAUD_600 As Integer = 1
	Public Const WELHWCOM_BAUD_1200 As Integer = 2
	Public Const WELHWCOM_BAUD_2400 As Integer = 3
	Public Const WELHWCOM_BAUD_4800 As Integer = 4
	Public Const WELHWCOM_BAUD_9600 As Integer = 5
	Public Const WELHWCOM_BAUD_19200 As Integer = 6
	Public Const WELHWCOM_BAUD_38400 As Integer = 7
	Public Const WELHWCOM_BAUD_57600 As Integer = 8
	Public Const WELHWCOM_BAUD_115200 As Integer = 9

	Public Const WELHWCOM_PARITY_NONE As Integer = 0
	Public Const WELHWCOM_PARITY_EVEN As Integer = 1
	Public Const WELHWCOM_PARITY_ODD As Integer = 2

	Public Const WELHWCOM_STOPBIT_1 As Integer = 0
	Public Const WELHWCOM_STOPBIT_2 As Integer = 1

	Public Const WELHWCOM_DATABIT_7 As Integer = 0
	Public Const WELHWCOM_DATABIT_8 As Integer = 1

	Public Const WELHWCOM_FLOW_NONE As Integer = 0
	Public Const WELHWCOM_FLOW_XONXOFF As Integer = 1
	Public Const WELHWCOM_FLOW_RTSCTS As Integer = 2

	' C[Wf[^MvgR
	Public Const WELHWCOM_PROTOCOL_2P As Integer = 2

	'-------------------------------------------------------------------
	'

	Declare Function WelHwCom_PortOpen Lib "WelHwCom.dll" (ByVal Port As Integer, ByVal baud As Integer, ByVal DataBit As Integer, ByVal StopBit As Integer, ByVal parity As Integer, ByVal FlowCtrl As Integer) As Integer
	Declare Function WelHwCom_PortClose Lib "WelHwCom.dll" (ByVal ComId As Integer) As Integer

	Declare Function WelHwCom_RecvStart Lib "WelHwCom.dll" (ByVal ComId As Integer, ByVal Wnd As Integer, ByVal MsgNo As Integer) As Integer
	Declare Sub WelHwCom_RecvStop Lib "WelHwCom.dll" (ByVal ComId As Integer)

	Declare Function WelHwCom_RecvChk Lib "WelHwCom.dll" (ByVal ComId As Integer) As Integer

	Declare Function WelHwCom_ResponseRecv Lib "WelHwCom.dll" (ByVal ComId As Integer, ByVal RcvBuffer As String, ByVal BufSize As Integer) As Integer
	Declare Function WelHwCom_DataRecv Lib "WelHwCom.dll" (ByVal ComId As Integer, ByVal RcvBuffer As String, ByVal BufSize As Integer, ByVal PreFix As String, ByVal PostFix As String) As Integer
	Declare Function WelHwCom_ImageRecv Lib "WelHwCom.dll" (ByVal ComId As Integer, ByVal Filename As String, ByVal RcvBuffer As String, ByVal BufSize As Integer, ByVal Protocol As Integer) As Integer

	Declare Function WelHwCom_DataSend Lib "WelHwCom.dll" (ByVal ComId As Integer, ByVal WriteData As String, ByVal WriteCnt As Integer) As Integer
	Declare Function WelHwCom_CmndSend Lib "WelHwCom.dll" (ByVal ComId As Integer, ByVal Cmnd As String, ByVal SendCnt As Integer) As Integer

	Declare Sub WelHwCom_TimeoutSet Lib "WelHwCom.dll" (ByVal ComId As Integer, ByVal Wait As Integer, ByVal Interval As Integer)
	Declare Sub WelHwCom_ComCancel Lib "WelHwCom.dll" (ByVal ComId As Integer)

	Declare Sub WelHwCom_ComClear Lib "WelHwCom.dll" (ByVal ComId As Integer)
	Declare Function WelHwCom_ImageProgress Lib "WelHwCom.dll" (ByVal ComId As Integer, ByRef ImgSize As Integer, ByRef ImgRecv As Integer) As Integer



	'-------------------------------------------------------------------
	'       VBp

	Function vbWelHwCom_ResponseRecv(ByVal ComId As Integer, ByRef RcvBuffer As String, ByVal BufSize As Integer) As Integer
		Dim Leng As Short

		RcvBuffer = Space(BufSize)
		Leng = WelHwCom_ResponseRecv(ComId, RcvBuffer, BufSize)
		If Leng > 0 Then
			RcvBuffer = Left(RcvBuffer, Leng)
		Else
			RcvBuffer = ""
		End If

		vbWelHwCom_ResponseRecv = Leng
	End Function

	Function vbWelHwCom_DataRecv(ByVal ComId As Integer, ByRef RcvBuffer As String, ByVal BufSize As Integer, ByVal PreFix As String, ByVal PostFix As String) As Integer
		Dim Leng As Short

		RcvBuffer = Space(BufSize)
		Leng = WelHwCom_DataRecv(ComId, RcvBuffer, BufSize, PreFix & vbNullChar, PostFix & vbNullChar)
		If Leng > 0 Then
			RcvBuffer = Left(RcvBuffer, Leng)
		Else
			RcvBuffer = ""
		End If

		vbWelHwCom_DataRecv = Leng
	End Function

	Function vbWelHwCom_ImageRecv(ByVal ComId As Integer, ByVal Filename As String, ByRef RcvBuffer As String, ByVal BufSize As Integer, ByVal Protocol As Integer) As Integer
		Dim Leng As Short

		RcvBuffer = Space(BufSize)
		Leng = WelHwCom_ImageRecv(ComId, Filename & vbNullChar, RcvBuffer, BufSize, Protocol)
		If Leng > 0 Then
			RcvBuffer = Left(RcvBuffer, Leng)
		Else
			RcvBuffer = ""
		End If

		vbWelHwCom_ImageRecv = Leng
	End Function

	Function vbWelHwCom_DataSend(ByVal ComId As Integer, ByVal WriteData As String) As Integer
		vbWelHwCom_DataSend = WelHwCom_DataSend(ComId, WriteData, Len(WriteData))
	End Function

	Function vbWelHwCom_CmndSend(ByVal ComId As Integer, ByVal Cmnd As String) As Integer
		vbWelHwCom_CmndSend = WelHwCom_CmndSend(ComId, Cmnd, Len(Cmnd))
	End Function
End Module